#!/usr/bin/env python3

import sys
import datetime
import json

import searchlib

if __name__ == '__main__':
    startdiff = int(sys.argv[1])
    numdays = int(sys.argv[2]) if len(sys.argv) == 3 else startdiff

    today = datetime.datetime.now()
    tendays = datetime.timedelta(days=startdiff)
    startday = today - tendays

    searchlib.prep_nltk()
    res_tbl = searchlib.query_range(startday, numdays)

    print(json.dumps(res_tbl, indent='  '))
